RDKit: RDKit::MolHash Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Enumerations | Functions
RDKit::MolHash Namespace Reference

## Enumerations
enum class | HashFunction { AnonymousGraph = 1 , ElementGraph = 2 , CanonicalSmiles = 3 , MurckoScaffold = 4 , ExtendedMurcko = 5 , MolFormula = 6 , AtomBondCounts = 7 , DegreeVector = 8 , Mesomer = 9 , HetAtomTautomer = 10 , HetAtomProtomer = 11 , RedoxPair = 12 , Regioisomer = 13 , NetCharge = 14 , SmallWorldIndexBR = 15 , SmallWorldIndexBRL = 16 , ArthorSubstructureOrder = 17 , HetAtomTautomerv2 , HetAtomProtomerv2 }
enum class | StripType { AtomStereo = 1 , BondStereo = 2 , Isotope = 4 , AtomMap = 8 , Hydrogen = 16 }

## Functions
RDKIT_MOLHASH_EXPORT std::string | MolHash (RWMol *mol, HashFunction func, bool useCXSmiles=false, unsigned cxFlagsToSkip=0)
RDKIT_MOLHASH_EXPORT void | Strip (RWMol *mol, unsigned int striptype)
RDKIT_MOLHASH_EXPORT void | SplitMolecule (RWMol *mol, std::vector< RWMol * > &molv)

## Enumeration Type Documentation

## ◆ HashFunction

enum class RDKit::MolHash::HashFunction
| strong

Enumerator
AnonymousGraph |
ElementGraph |
CanonicalSmiles |
MurckoScaffold |
ExtendedMurcko |
MolFormula |
AtomBondCounts |
DegreeVector |
Mesomer |
HetAtomTautomer |
HetAtomProtomer |
RedoxPair |
Regioisomer |
NetCharge |
SmallWorldIndexBR |
SmallWorldIndexBRL |
ArthorSubstructureOrder |
HetAtomTautomerv2 |
HetAtomProtomerv2 | Note that this is under active development and the results may change from one release to the next.

Definition at line 25 of file nmmolhash.h.

## ◆ StripType

enum class RDKit::MolHash::StripType
| strong

Enumerator
AtomStereo |
BondStereo |
Isotope |
AtomMap |
Hydrogen |

Definition at line 55 of file nmmolhash.h.

## Function Documentation

## ◆ MolHash()

RDKIT_MOLHASH_EXPORT std::string RDKit::MolHash::MolHash | ( | RWMol * | mol,
|  | HashFunction | func,
|  | bool | useCXSmiles = false,
|  | unsigned | cxFlagsToSkip = 0 )

References MolHash(), and RDKIT_MOLHASH_EXPORT.

Referenced by MolHash().

## ◆ SplitMolecule()

RDKIT_MOLHASH_EXPORT void RDKit::MolHash::SplitMolecule | ( | RWMol * | mol,
|  | std::vector< RWMol * > & | molv )

References RDKIT_MOLHASH_EXPORT.

## ◆ Strip()

RDKIT_MOLHASH_EXPORT void RDKit::MolHash::Strip | ( | RWMol * | mol,
|  | unsigned int | striptype )

References RDKIT_MOLHASH_EXPORT.